summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-02-07 09:58:54 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-02-07 09:58:54 +0000
commitd21e32f3fcb95019b77ca3f1a6d710ea7f9f1e04 (patch)
tree2933229277b445ec8521fc81053c1442c9f1f7b9 /dev-python
parent632aa90c53a31517c5d2259537aadc192434a332 (diff)
gentoo auto-resync : 07:02:2024 - 09:58:54
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-23.0.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/GitPython/GitPython-3.1.41.ebuild2
-rw-r--r--dev-python/GitPython/Manifest2
-rw-r--r--dev-python/Manifest.gzbin269322 -> 269336 bytes
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.34.36.ebuild58
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.34.36.ebuild63
-rw-r--r--dev-python/django/Manifest9
-rw-r--r--dev-python/django/django-3.2.24.ebuild109
-rw-r--r--dev-python/django/django-4.2.10.ebuild100
-rw-r--r--dev-python/django/django-5.0.2.ebuild100
-rw-r--r--dev-python/fonttools/Manifest2
-rw-r--r--dev-python/fonttools/fonttools-4.48.1.ebuild98
-rw-r--r--dev-python/mkdocs-material/Manifest2
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-9.5.8.ebuild67
-rw-r--r--dev-python/puremagic/Manifest2
-rw-r--r--dev-python/puremagic/puremagic-1.20.ebuild27
-rw-r--r--dev-python/qiskit-aer/Manifest2
-rw-r--r--dev-python/qiskit-aer/qiskit-aer-0.13.3.ebuild126
-rw-r--r--dev-python/sentry-sdk/Manifest2
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.40.1.ebuild151
-rw-r--r--dev-python/slixmpp/Manifest2
-rw-r--r--dev-python/slixmpp/slixmpp-1.8.5.ebuild52
-rw-r--r--dev-python/sumtypes/Manifest2
-rw-r--r--dev-python/sumtypes/sumtypes-0.1_alpha6.ebuild2
-rw-r--r--dev-python/watchdog/Manifest2
-rw-r--r--dev-python/watchdog/watchdog-4.0.0.ebuild50
29 files changed, 1074 insertions, 4 deletions
diff --git a/dev-python/Faker/Faker-23.0.0.ebuild b/dev-python/Faker/Faker-23.0.0.ebuild
new file mode 100644
index 000000000000..4a85c701f3c8
--- /dev/null
+++ b/dev-python/Faker/Faker-23.0.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 2d95b4ce300c..855719fcef9f 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -2,8 +2,10 @@ DIST Faker-22.4.0.tar.gz 1702616 BLAKE2B 1a50724c0c8faaf4b2e72d3b23f242be1986213
DIST Faker-22.5.1.tar.gz 1703337 BLAKE2B 603b06512deb04c6e320904aa32b7e210ecbe270ae634814adeaa420d2af342d44744755ad7ae575ef7902bd3ad6d117c88814bb13a1d84952509ec881b402f9 SHA512 469cf1af9535be0610c1b8750874b1623b0746b762a995805a86a9bdb54a2a8cd3d4118254b1a75240f24a6294629669aae3b6e062e8b229eba30de56cb2bbf8
DIST Faker-22.6.0.tar.gz 1703974 BLAKE2B b6deb022fd38f52baf9a76e697451ca4ba175e530c3c232d09722f1f809de779d7885b92d1b87be64d9b87da2a7bda80af6cb5968faa55c60547156a5a7c63b7 SHA512 100db2723e4e6961ea239bd1c083cc8ed90cec2af3a8fb82c77df4cd2faec10b51f6cc5ff502e3afaf4d53142f6eaf04b1c6bd955ae8173e5c2f7b19bb7cf561
DIST Faker-22.7.0.tar.gz 1705221 BLAKE2B 9c41a053de75ca238399140531e7d37148ffa358f3ead37cc1aeb32bab74f096689bdcd160372419aed3a541f1aa367e891735e68d384e1c559634e2630e9659 SHA512 38cf655acf23568f0e1b275475461a9272e500c60330d7fc6a0b0db2977d4ea5762bf07cbc24ebe30fcb771cd90579611addce513b80166dbe70554b297c2109
+DIST Faker-23.0.0.tar.gz 1705271 BLAKE2B 0c83bf26ef1005a00c132e4634a617aef659cfb0ce59d67dd0d63d80371ab58b963417c5e26c5d8ef945bbb1a57db408424f0360327035844654e90338d49eff SHA512 f385c839d3d6cd5103e7a5e92dfda0581e1cd2e5e9270c678524ccaa7b97ddfc666423c2ae02605ed1d2c1c2a04dbda482323e40fb3c9854bf48b3208793f8d6
EBUILD Faker-22.4.0.ebuild 858 BLAKE2B 2e7693b63d3810eadf6c63951eec2c96385940ba69e88ad8ee14cf28f14beb0a0bbe5edeaaabe694832506a24e7e4648ac9fc8469d7ba0f38d9b6c687b69a736 SHA512 c3540187d7ca070be4942be3e2718a980ba85c588409b419d90b9987efc5a2f26f8362ba7350c6df1d28865496dc1256b752d8a44157eb2e6ac78bfcf54a33a0
EBUILD Faker-22.5.1.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
EBUILD Faker-22.6.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
EBUILD Faker-22.7.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
+EBUILD Faker-23.0.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/GitPython/GitPython-3.1.41.ebuild b/dev-python/GitPython/GitPython-3.1.41.ebuild
index 437b69645192..ac7936de936a 100644
--- a/dev-python/GitPython/GitPython-3.1.41.ebuild
+++ b/dev-python/GitPython/GitPython-3.1.41.ebuild
@@ -29,7 +29,7 @@ SRC_URI+="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-vcs/git
diff --git a/dev-python/GitPython/Manifest b/dev-python/GitPython/Manifest
index fb3c905bde90..a7801eba0450 100644
--- a/dev-python/GitPython/Manifest
+++ b/dev-python/GitPython/Manifest
@@ -7,5 +7,5 @@ DIST gitdb-4.0.11.gitbundle 1620355 BLAKE2B 8095193318d4262b8ebb04f35a0500eda875
DIST smmap-5.0.0_p1.gitbundle 324544 BLAKE2B 69098c7644abaec7f32226cad7ff3008e49d94c9f7349d0b815223249c20bfd2b51a50474e51864821f30c98f5982e5c35ce9217145a1e5d11326492c41faecc SHA512 4f36ca2c94ddfeb949c880fb52c3b1905d144dd59b95f2f05c93ed7b694dcb128218a2800ca23b721fbeff9a1920e8c3326675098e2ef0361ff6e90c8c2850ba
DIST smmap-5.0.1.gitbundle 362567 BLAKE2B 72c8b48ad3250a33b94218c145c02033dee84c1da5f1eea57983a58699262d51844be675330d95c7d64924b6aeaacd4b0a57e9a5acad3be184aaad62102202e7 SHA512 9ca8386bfec25d1562cdf1c2ee85f7edb15fd3f44ecd1abbef738979f12b82f0b0f39a06589203a39f89518d981d7129e35f64f2d855cd162cd964bdd87c8d18
EBUILD GitPython-3.1.40.ebuild 1975 BLAKE2B 2ed7715f36a75a96aa3363073336e7598fc4246fd469bd7a8b14707ae9422f8f6593f2d3fe5d347e154b0fcd36b737c474aa3c2789ff061bdb45fb5185750622 SHA512 9119a3d53a0b522ab4b055786b488f2264568dff031067868a72fbd3a51832ea07cb72fab35600b586d509e0f3a0e026971eaacb9a2f969672e36c53cbdc6bee
-EBUILD GitPython-3.1.41.ebuild 2010 BLAKE2B 18292617a9fe0717545e1b4f251add4c9ab860b210284b6ae5cd00afeba9fe10271a7fd7de25a98c80515717ab054b60cc47e6d02e1e81b79a937c132fadf5b2 SHA512 4ee9a8b6f1f2a8490ac31b24e2c31a5c4be51c80dca16262d406bcabda260649a780b7be3072b02f9e34e22c18a5bac93d8a76e2b1598b3a915bc395f6c5ee7d
+EBUILD GitPython-3.1.41.ebuild 2022 BLAKE2B 15c88eb179c9a0298c62822eb9b705a239b50fcec0b98d34d98baece68a08a2473311c94f2c5515b0f7d0f0e2791baa158db3f2d0aeddd398f4c2d7600a2b32b SHA512 c719d0b8cbfcea9dfece9d765c6950be1c5ff64dad3bdcfe395c5fbc2cb893fe2459eb1b2f301770421dd533aecf5922cabc5dac6b15d5b3370b531c6ce7fc56
MISC metadata.xml 407 BLAKE2B 49fd8d520d575be1489c299f22595120fad882f055b9cf2d02b87382c6d8f0ff38af694e5584b4da579aa84b82c2f1032e4afb64cafd9f4fe9212a6d67b4a752 SHA512 1bebe1e134eb86a4745cf7e297d45118a2bdd3d8a71d0034294b5c799a9cee763c63b61b34c6707c52f61058f727f4b827dd020d285fc297712b29eb7c1129ef
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 121ff2176dc4..21ef130e0e18 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index b1df9dff989d..86f89cac58fc 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,8 +2,10 @@ DIST boto3-1.34.23.gh.tar.gz 766609 BLAKE2B d00b010c84c41695f02df58a51d483162af1
DIST boto3-1.34.29.gh.tar.gz 769654 BLAKE2B 3eec92f78f343c1806eb7ad96a31b07592ffb355aed5bca75b9cf9bc32cc240a1c254cd43e618d7cba442dddab31035f43f319aa674b5fd6ee99e93d76514389 SHA512 1dff0825811b346e1300030770f00dfea9694d3f6c4beccddfb2ff00520503271b617321e124a1d922da8e8fb1d2c2beb08a83f23eb5e5754bf1d519ea994cf3
DIST boto3-1.34.34.gh.tar.gz 771553 BLAKE2B 52459e1baefd7986256bb6c89074aac365fb14c8fdd1b04a79bc02b6722e1e8e5f0d59b426e519947ab1795d12defbde2768af97dd3a2cdef576fdb535422567 SHA512 d0d9c47550aeb46aa3095d08583931d79fe38da8498a3ece322d7dea07b25c3569f7b44ed2afdb53cae98e4e3c337e8bb91a87c325d88798488e6ba87c73d9cb
DIST boto3-1.34.35.gh.tar.gz 771771 BLAKE2B 2126de54d6d7fe94bab546d1f4be4b99f6ecf3b5033e4a9e3c514482c6b954a83992a904d84b3da17ffcb6ee62a147b40669b7264f7d278c81ec35259bdc1326 SHA512 a9e6586144f14b5602bf5ab37de433d96b7c713b370dff18922eddad19a8ba0b421008f334d8af2f8eb39f454487cbbea1b83f7141c4afea988d5592251a6c65
+DIST boto3-1.34.36.gh.tar.gz 772161 BLAKE2B f5ca23c960e6dda208a17b3c73b169354ecc759508b7aa28ef20150dce540ed813e426854a5c97a30233cc26c4a3d5ad87024f2ab4cace345a0b675ca0958df5 SHA512 2c33262aa6513e1f7640738d1b03010f5c5e8f7fceb18e5e055e5bd34845bcd475e80f8e5736e96136b4d176165f2d3ebd9a4c79a9f14ec12c46e3b81c71c465
EBUILD boto3-1.34.23.ebuild 1386 BLAKE2B 8d99a5817d661c2385af4f226e75a26ae16399ccf74ebbc7b172ecc2c70745440de7238e42fea98267fea4c82904f9a0abddfcc234c952b588855295061f16b1 SHA512 7114f33fe34e4091695d425d4497c92586d9bde0314358b992458bfcec365ee5c8c2ca856fdb7447c8429fb841faff0d0f2ec171b1a825b5e678f037d79dbdca
EBUILD boto3-1.34.29.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.34.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.35.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
+EBUILD boto3-1.34.36.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.34.36.ebuild b/dev-python/boto3/boto3-1.34.36.ebuild
new file mode 100644
index 000000000000..b64e7191fd19
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.36.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 76dffbf58b46..fb17834084aa 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,8 +2,10 @@ DIST botocore-1.34.23.gh.tar.gz 12647072 BLAKE2B be20994714a1f31ac5272d5b7be8424
DIST botocore-1.34.29.gh.tar.gz 12665018 BLAKE2B 928c27ae62a5e2675dc5476af05a4390cbeaf9d5c64cae6a5af0d5348f703417f48431258fc7c4ad316908fd29f6bfeb5a7c76290ea9622172f3d787f40021c7 SHA512 5314900eecf2d31fe08bcb9efbc1a361467fe034129c85f5cb4a678275115292fc5a6a95fbbe3cc06aa0a1387e14dde0f9115a9aa25ba59dba62a02c3b8db43b
DIST botocore-1.34.34.gh.tar.gz 12682925 BLAKE2B 514e6946558d1014371ca7ae4c76614b9714e0444e65f9606abe059cff1e1c467e81d913dad849ed9468a557499daafbdb19bbabef7ef3ed1f45607afa1f545a SHA512 4bc0bc57f4b29c461cade471e18d0f04ecf081a33bf966d80ab09832e0a5af2c08808b9fe72be9ea6a04b37e8207cdf38e43ec588c38ab9546740863e7a206ba
DIST botocore-1.34.35.gh.tar.gz 12683490 BLAKE2B 4cb287495e77de15803b36755962a0e6446d00aa9a6056c5762261874adf297a55bd8fceb43aa518cb981ac09b5d00e87eb593f0356949b6f8b0cced65936ac0 SHA512 82a57540c6fa50957434254ff536bb0a6c73cec313372233c0e4b922a4d7539a7c2150d3c49df9bcd1840c29d2eb22b25d6d8c276a704dfa9a12a32974f17d33
+DIST botocore-1.34.36.gh.tar.gz 12688895 BLAKE2B b05dbc906d6f49fe8df7c608cefa85bf08f59f9e086540366b5a46db4baa3edb7bbdb79ecfe3a9e0a8857cd9317f5deb6323b583ad092beadd9b0eb52c8c892f SHA512 6cd8985a729fd36a74ff3211b2021ceef7ea2c9a74ef259117e2df5c2fc97cbdf070539d47224720b33024af92ca9041f979fd7d7e84aba8955e820e22e96e2a
EBUILD botocore-1.34.23.ebuild 1517 BLAKE2B d03af69902c7785c2b5b4d74b2783c710f9c40b401e82847ecc2255420b64a4fbb91042dd07c1846c5da01d095f51faff6ecc0ec85c370fa9ad1ade4f6e1e283 SHA512 34e0b3a1dcdb3be35548bb1a6d1b5bd892a75ad9ef8727db516c295299dd65e3956483682ac2c2f869e755611ddae30a8efb62513726d259a386af4e733206da
EBUILD botocore-1.34.29.ebuild 1412 BLAKE2B 95d189190ccd8a55e40de608a893eb696f064b02646e57793e24a0e56b1d05c79864ba1979c73dcad5f873758920fd1ff1dfe35861efb7c0cf0d89414e0f686c SHA512 d19893b851107afbf50a92291e1142595b0e6d9a3005c45b84558cec11ff1cb3473dfd7410f9486e62015cf35e69c5692c5c5d733bff851c527222c579f0d59c
EBUILD botocore-1.34.34.ebuild 1411 BLAKE2B c322f7e557d9a1768fbb08c343983f5d20c1a08806b8af9b1e85345c7acfc046a13059fcca7cd63610287c437e9c05eabd759bb7cd3e04551f66b481a9b4dcbf SHA512 93c32833e354efb9851b26574fc01a865f1b3b86f8dbf3794bc33fc3e2f561246485d776662fc6f9872ec22fea2c061d32768b2b6e9441f2251947fafa5486be
EBUILD botocore-1.34.35.ebuild 1411 BLAKE2B c322f7e557d9a1768fbb08c343983f5d20c1a08806b8af9b1e85345c7acfc046a13059fcca7cd63610287c437e9c05eabd759bb7cd3e04551f66b481a9b4dcbf SHA512 93c32833e354efb9851b26574fc01a865f1b3b86f8dbf3794bc33fc3e2f561246485d776662fc6f9872ec22fea2c061d32768b2b6e9441f2251947fafa5486be
+EBUILD botocore-1.34.36.ebuild 1411 BLAKE2B c322f7e557d9a1768fbb08c343983f5d20c1a08806b8af9b1e85345c7acfc046a13059fcca7cd63610287c437e9c05eabd759bb7cd3e04551f66b481a9b4dcbf SHA512 93c32833e354efb9851b26574fc01a865f1b3b86f8dbf3794bc33fc3e2f561246485d776662fc6f9872ec22fea2c061d32768b2b6e9441f2251947fafa5486be
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.34.36.ebuild b/dev-python/botocore/botocore-1.34.36.ebuild
new file mode 100644
index 000000000000..3841b2a99c87
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.36.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index 3034e92eae5c..b58a959d1e26 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -4,16 +4,25 @@ AUX django-3.2.20-urlsplit.patch 4567 BLAKE2B fc167eeba60856cde358a37239eda0cc77
AUX django-4.0-bashcomp.patch 2021 BLAKE2B f04c83b500a92ea8ef9609225191e38a41b3349a295beca8f8575ab05395d0cf37e1aefe295004b11c1bcf34cce9074ac7d274034cb50e1ae43e2fcb5d6952b2 SHA512 2215dca4120023b0fd839738bd602443c49e9adaa98d182bc74081ebe70613649c2dc11e2b5f6242701dceac25755adb8605774895091360b56ed1195a7e629e
DIST Django-3.2.23.checksum.txt 2563 BLAKE2B 59bc9c0946de84be99057be9f044e59f7fd87d1a4043041033916fbc0052a8d4f8d2b02bfe591374fba7bf54c6d2ea1ee8f4739bdbd49a369312e8792fe2a1f7 SHA512 356379166f9375175b896cf07ff2debbbed3cff859597cf8600a3e14e0660c15914f561c54bba2bdb38742c5ec4f9f1bd412baef5f6271548a1f76485f61eaea
DIST Django-3.2.23.tar.gz 9834665 BLAKE2B 365ab5101e610ed1d0ed504cd538cc90a8d5d0730fcb43dab12b8f0ce1d1f2a6d42e4e36eccaf84d242e4fc9d9c75fefc5062ac1e8d077cb784eea741df716ee SHA512 a252e4000c932a906eef22d0cb91a9dcb802eb65bbe0fc0eb881216b6801dbef5123b21f51f3208def155852c20e8d7e9adc8339b6386fc49bbc00f7c4d2d4ba
+DIST Django-3.2.24.checksum.txt 2583 BLAKE2B 87fa39627676d4ce75058df6dfc286eae160401b617a8c6e0e249cb4f2c608e00e9bd23ae8fd46fe405dc7fa94a2cd684dc943298dd4af430e370bf77ef0a386 SHA512 1475ec74eb389db2bb47cc5fb00080907a59534cc9f48ac9e5e3b275cbf8de3ada43377fe4e1ab22dfa30a43069e04db2f7a1a441cb60119bb5f835fd3a5ccb8
+DIST Django-3.2.24.tar.gz 9833004 BLAKE2B d3809547f95aa266c1287cfa6d1fee32561456dc55763124138ed9b3afe2071b2bd45a737814210cc47c3d0033326ddebdc62f7c2902c6719d95a6ff895e5c1b SHA512 840b4c87e159d9714ac816fffb09faba76d3b130a76caffff68b7edd59e9488832ccd8c5ffaa8f0d066f0faa029f6ef2395f6a8e9351eaa1bcbd316d50965fc8
DIST Django-4.1.13.checksum.txt 2563 BLAKE2B 2569a6c7854f4941f88ae3b7556e4e75d7633b333ef9723c137f266ae1c0b89c20911b89097bfbb2e0d1360349b4eda6d4b0778ac358665327a9f23e8b58ad21 SHA512 e2cc70520c4008322e7ee68bd2a32abeb58f6cac52198498ec7936b593e39ce924a4bd43df69a4f9edd625f1f5142be4b8043d33514237febecc302c2389e2c3
DIST Django-4.1.13.tar.gz 10515104 BLAKE2B d0f53d53a7c37acf446bbd8806c15a3e31f6acb51f3e8f8616c690e3ee907bce9089d03c0514c3cb25e905a5edc4aec433584f551e0b016c94e11106b65873fe SHA512 405453aeb8d5462f1eb5b3171dd441e6699bad98fd34e31efda2af5f249f82d17a880ed8d97177cf56bcc27acf763081375c0043e9e6f0d60fa32148981a2562
+DIST Django-4.2.10.checksum.txt 2583 BLAKE2B 5529d8d83fb2ed7ca644ab929809f13ac59225f23b9590f3ab97d4926da7e10d6d3f47e2638c845e7b2cff3c1dd2a0ed50105d23bf3eff4c689811e1785a0661 SHA512 64bec1d2f31627d9347b93b1d947b80eee70257bc967393dfe8af5b56d845ec21ffdd2aba11106a5b4fe13d55a51949b8b156b341eca4327082fd21ee0db35b4
+DIST Django-4.2.10.tar.gz 10425081 BLAKE2B ad014b3592d8f5d13d02aa91a029c8cdf85a9e0d3e1b1d3234c833523668059622077eda2fda6cabfd824cf6610b19ca3dc2ceb76c480bde6e97b946812ee162 SHA512 af8c4d596c6ede8a5da9ae0f435ca5c2c17f38b0ff3f31f058e36df695c767813b48f7260bbb8d8a261ef36f836fe1abffc563de185af51080dae1cf3f037f69
DIST Django-4.2.9.checksum.txt 2552 BLAKE2B 9b7fe091d450ee1a9c2b9beb73afbb3b79c8b5a5d474d8908c6fde5aa0a9e90e78259716daf79c98449dff6e263bb953fad11b9e78b7d3b7db62ea5a58c64942 SHA512 aa26b2870a2582d3627224fab7a698cc32e4734b7e2b9e6bda6a0b35484f786619a386f2027319a3ec648cbbeab1b2982e130e2b05ac02a0b99623d89b56d681
DIST Django-4.2.9.tar.gz 10428500 BLAKE2B a8c42ed18fc95cd0a92319371e342b165ce5fa7ed6db428e5f2020c1a3d0611413425da82cb38c39b6c65379a66e44b955d8b3aa164d8f7924df342275f3660c SHA512 15516e80718aff6bda322fa62124dfa0b277983318cd3e47e87d74f68e8e913403b41d6213010a665e8edc4f46f0f42411f54e878bf77c8f6090d515b8422406
DIST Django-5.0.1.checksum.txt 2552 BLAKE2B 57fb1f3618d4cfc7458873f124b2537a3f66a8b561a31d4b982534969a8d2529bbbcab7c29b951fcd32c93da14c8c90d1db27241ced85c65f1f7d31d14148d49 SHA512 850ede881d31a83527640cb372c4478a9b7626b8e669f246effb6eb51016de0f5f6e771ad5aad4130095b2884a87ce3150980af29bf3d7bf1c42777b5c81a9fb
DIST Django-5.0.1.tar.gz 10590756 BLAKE2B 79876726d883ca08dc7b138eebc7d0c48630bf38eea9ccf42a97f2b0fb5e3f3cf3348cb4262b98811c82dd46985266d78342817f3fae764bbf8e33ee7e1959d2 SHA512 728bf3ad6b294cfae623336d526f970b3fc861516a27c86be402a71b77596c05d6d79fb122a8d4ecbbd46d2827600fbf29bbd5e4924677215a957dfd5b90acbc
+DIST Django-5.0.2.checksum.txt 2573 BLAKE2B 705a85beaa4e277fe689d10784f10808b4a06cbb1af7d2417e812d78669256b53d5a2c7678997e96eeb0942c4b31c008628255bb8819e43cbae790b899daa04e SHA512 b37745d0905a2af5793e98c2e00d644f845bcbd236253165cf223b9c748a3f95e6d755d258706769d31fd1009f0815fe1708f6bdb9074343797bb906851ade1a
+DIST Django-5.0.2.tar.gz 10619702 BLAKE2B 82608309047fc28f0c3cff15ecfa921b95bae7e2045a75da06e6db4acd74a7508a545ef9419d7b59861832feb6849112d76b49bd87740b797508cfdbaeaf23f6 SHA512 a9270eafb0e270222740ae94b2f866eddaab296768253f0d84c78760a2ac442e0f648af55f74b9b07082f4ccc4eeb91c4facdfdc32ec770936015524fcf4838f
DIST django-4.2.8-pypy3.patch.xz 5900 BLAKE2B b7dc5c5fc162817a218ee6d025ed8a65559b80e4506e49ac393428c26e2621f9e7c5010b36f2412dea8194a9f1086ab21f97286eabd696c6a786285eb07393cf SHA512 f953b5adbd1364f1d84dde55087ccb493256b1327701275fd2fe99f3cd41751d18e002b6e21afc96892e1671428a6b8f3c2e4b88252c3c278f1a79e286bb73e3
DIST django-5.0-pypy3.patch.xz 6124 BLAKE2B 7eba7cc70b30743cf4e186a2c5b0f27c13f49114a7a80bcaa2b25fdd7a959583c115a302c9bc6da97c32f6401cf8f3616818ba759190d317c5b033a0f0088766 SHA512 c550e2b2c1243d13cd1f4908f4b6df606355d1491e3bf72042e4b4777a4474306ff0f67b1c2eb4ab4d137cc85bde52dcdbd54bec245d2ba2e092545be8a2993b
EBUILD django-3.2.23.ebuild 3017 BLAKE2B f59f9d40bd5ff49fbd1dc20b71ec0e14395378351eb136556a460d82e06d04384064b05b78e739f1b08f381de54d1951701e71ee508e68199d101b804609aa4b SHA512 6b7f57ece6f40c07b0add642d9e35595fb53114e13486a463af561fae20a7c9d5e63e4255531621737fc306ffd6bb57795db1bb0b7fdacc281b5be931343dd00
+EBUILD django-3.2.24.ebuild 3021 BLAKE2B ef6dcf41f55d27585f1a8a593510040ba4cf2232a10fc1a1df7fd3fecb3c66b73e8638448f6ecc78d891d351c9c0e97f52305d0d4d97f033e74066f469ebcd97 SHA512 258c5f7fe2f2979710eef0acbaea6946859a6c6af614b1088cd614c0ee1e7d251e601d9b37ed994912b08a92771e72ea32261e9bda22d3c1983ac937fb43b724
EBUILD django-4.1.13.ebuild 2824 BLAKE2B d571a5ddf0a0c9dfc95322732f54c0cf1118c6139a7d7c7c48c10c9c66820f140f64859372fae286cc7816c2e5940133f207b46b9f1f2da6b8c9e539fba32f24 SHA512 79d91156bff4d5b93d0804e5e4e6cbfc976e056a801fb0e79fb30933fbaf2b105a44c02edd353e82a3ca674eec36f87104913ab390b17dbfa32e52d563c37270
+EBUILD django-4.2.10.ebuild 2829 BLAKE2B edce13ba1bb9ccebb08c1637893a51aee1b969cb49d19dfbd9967610f77fac1f6e5954ed17a17c0ac8ae3ac2d7bc7108cb51717e30fd12734ff3a8d92d63bb21 SHA512 e570e192c4851d59bf4e98ca2cf354c688cd5757935993042c7e187edba82deb2988c9caf0ab37514cd1f8838d252250070d9296949ba534198ac267f0a1fbc0
EBUILD django-4.2.9.ebuild 2825 BLAKE2B 5c1248317800bbbcfdc92cbaf7e5585cdd7751e4545898c90f637678673fedfb49afff9acf84de97d4329392744d174e936f7b958b029fe4909d0f25d4e16252 SHA512 1574b2c413e51cfc696c6408f85e33068d786e1b808dea2fc364bae84fcd70582e01d33db3bfa16ad559e9006bee30c837cec00ccbd72f87f53127b63aa50e47
EBUILD django-5.0.1.ebuild 2853 BLAKE2B a7ff79d017a5e0b7d5294be5e4cac4b77cd633a062e5594bf1586c81e22d69a0d3213e7259141bd92fd53b1264ee12e2823a95313fbb197782acbebdd8fe7a96 SHA512 d939ca635853123ad1ddbde195d18467477858c4c8ff2889ef83cc418bb749a2f957ce19dd4e92c91dcb30ebaba9385cc39d9272eb71d7fbc2f1ef2920cb0999
+EBUILD django-5.0.2.ebuild 2857 BLAKE2B 09b9334029a7911afb4ecb699b9ce0606029d51d4f9342ebd23a0566ab0503cff7a6deddaa9e439ca10929328e8be642c49783af8618f2ec8d98ff93a39bb4e5 SHA512 54e147fcb459dc2ef1744519271305ce83989201027bdc554d7dd4b7f1b83ba17eb797cc6a3fadcd21265ebb7e2b8e6bcab3d079d55ffec2bf10d1828254fe01
MISC metadata.xml 400 BLAKE2B 6b3414ac734f078d90c82b44edd2f9f70e494e98da8a3d874d18006ae5e0eb5f7060b98b402094d6045e800bf525586f2566e6f554a8b2999cce37bdcc5472a0 SHA512 1cf0bb6ef93da3abbd1a66878462b1b8672a9b8fccd7f968b427e429caa6ecf30cb703a6060d621ccad1ba77b927d2b0e632b04b0a47975918ccbfcc5f2b85f7
diff --git a/dev-python/django/django-3.2.24.ebuild b/dev-python/django/django-3.2.24.ebuild
new file mode 100644
index 000000000000..6fd28d4ce937
--- /dev/null
+++ b/dev-python/django/django-3.2.24.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+ https://www.djangoproject.com/
+ https://github.com/django/django/
+ https://pypi.org/project/Django/
+"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P^}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
+"
+S="${WORKDIR}/${P^}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/asgiref-3.3.4[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ )
+ verify-sig? ( >=sec-keys/openpgp-keys-django-20201201 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1-bashcomp.patch
+ "${FILESDIR}"/django-3.2.19-py311.patch
+ # needed for Python 3.11
+ "${FILESDIR}"/django-3.2.20-urlsplit.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${P^}.checksum.txt" sha256 "${P^}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_prepare_all() {
+ # Fails because of warnings
+ sed -i 's/test_dumpdata_proxy_with_concrete/_&/' tests/fixtures/tests.py || die
+ # TODO: this suddenly started failing
+ sed -i -e 's:test_custom_fields:_&:' tests/inspectdb/tests.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+}
diff --git a/dev-python/django/django-4.2.10.ebuild b/dev-python/django/django-4.2.10.ebuild
new file mode 100644
index 000000000000..927c7bb1f192
--- /dev/null
+++ b/dev-python/django/django-4.2.10.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 multiprocessing optfeature verify-sig
+
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+ https://www.djangoproject.com/
+ https://github.com/django/django/
+ https://pypi.org/project/Django/
+"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P^}.tar.gz
+ https://dev.gentoo.org/~mgorny/dist/python/django-4.2.8-pypy3.patch.xz
+ verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
+"
+S="${WORKDIR}/${P^}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/asgiref-4[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.6.0[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.3.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ )
+ verify-sig? ( >=sec-keys/openpgp-keys-django-20230606 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/django-4.0-bashcomp.patch
+ "${WORKDIR}"/django-4.2.8-pypy3.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${P^}.checksum.txt" sha256 "${P^}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite \
+ -v2 --parallel="${EPYTEST_JOBS:-$(makeopts_jobs)}" ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:0
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+}
diff --git a/dev-python/django/django-5.0.2.ebuild b/dev-python/django/django-5.0.2.ebuild
new file mode 100644
index 000000000000..1ff45ba52cdf
--- /dev/null
+++ b/dev-python/django/django-5.0.2.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 multiprocessing optfeature verify-sig
+
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+ https://www.djangoproject.com/
+ https://github.com/django/django/
+ https://pypi.org/project/Django/
+"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${P^}.tar.gz
+ https://dev.gentoo.org/~mgorny/dist/python/django-5.0-pypy3.patch.xz
+ verify-sig? ( https://media.djangoproject.com/pgp/${P^}.checksum.txt )
+"
+S="${WORKDIR}/${P^}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/asgiref-4[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.7.0[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.3.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ >=dev-python/docutils-0.19[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.11.0[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/selenium-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/tblib-1.5.0[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ )
+ verify-sig? ( >=sec-keys/openpgp-keys-django-20230606 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/django-4.0-bashcomp.patch
+ "${WORKDIR}"/django-5.0-pypy3.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${P^}.checksum.txt" sha256 "${P^}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite \
+ -v2 --parallel="${EPYTEST_JOBS:-$(makeopts_jobs)}" ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:0
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+}
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index 78bde387cb7f..3e501fba620e 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -1,5 +1,7 @@
DIST fonttools-4.47.0.gh.tar.gz 3810582 BLAKE2B a7821bca4507ba5638db537ba141bf7d1e2d5d23522f55766db0bc384ae366071e0848276285cff4056ffda513d94622f9b1154a43c2d8b341728790813b8124 SHA512 4a9a39b53248814dc2fcf648af5d7c8c79124a547d259571addb97c1e7181df7f20767baf5d2bb90f6c30790dd05c93c6bfac3281cedb91c73c45ad49039ee9b
DIST fonttools-4.47.2.gh.tar.gz 3813471 BLAKE2B 7c478395e1c0cad52a29bc504bac235c4e198284a7f1f4b32e9db0704d3eeb56ea69d563a862239396fd1e67f47f168ae2f42676fe5ba3f9e1c356de8c5039f2 SHA512 03b6411c72ce38eeaa6401440d9612a37cd2ff6a686d7c6dbe7328a876f9e4369c06edea184ea72c1002b26b956d0196c241e40fe28b0ccf42f616ce9a700a07
+DIST fonttools-4.48.1.gh.tar.gz 3815962 BLAKE2B 86f93ddfbff0d3e5e165adc73908176ec3eee1d35d7009faa9827bc992d6bb5a11b95823596ae40ea739b117af7933fea0b768cf3a44d4cb770daa7db42048c9 SHA512 1f8336880575038f904873f6359b9c0a5885f14358c5560592b274db7aa2b96433770f5195e93ac04552f2580aadf0efc9268dcce9f0d178b78e75f5507dad67
EBUILD fonttools-4.47.0.ebuild 2464 BLAKE2B 29ca95c136616778810dafcebe6fc0b39b81bae3f858129cdc49e4710355d725b4a50616c4ab6ff237c5cc54b4abe244a3ac1383382a1a91c6c8296a42566ad9 SHA512 c305e19e347b2caa371b313f5569caaabe63b453c5a41cfcc98f437784e19622b50a947c1be1e96664a9a9ff2668c58fee63915beec5d16bc59b53caa2dbea3e
EBUILD fonttools-4.47.2.ebuild 2465 BLAKE2B 29ecc983519ea3bb74e9e950bec36c5259b9995ba163c5bc471f1138d97cb871ee0c3ac05f50e1d6b289ac12f1462b6c3153a071985b0d02ca0b9a10708de790 SHA512 4cc0e55a1038c03646c2a65ca6da8cb6d0f52d51552f7d8ac6e0f725e0712c741b7a74d918e9eb527aa8efe14d42fdfea0191373577a28c0a58d04b14827cba5
+EBUILD fonttools-4.48.1.ebuild 2472 BLAKE2B c83e1dd9f98c2e7bc4e487c74d0cf1e5764dcaf41f447ac6b1f6b5b587bb8816a7ae0cb286248b09eec08ddac9369810210714c69813d4f836e4f175e86c5b65 SHA512 87a73844eb5f3e40fbc4f97d825b637e2916640cc7c526bff033f7b95b4a22826d287c0e2d3f3edd72f5a2cba4cf63220fc868fc651907349b35e7e63d473007
MISC metadata.xml 372 BLAKE2B 950ec78bf127250847c6513c22a5108b251afdb000d361068edf9d00d64a5baf6925ba4058bb889724febb28d92abc044c29af5936a48d8e8951b12314b64357 SHA512 03e76e28959bab83fe41c3ee4b55692ced9b1360e73e38a6e8f6e5c06fd1185dcbe0214aea2edff18d248abf252c1877d0d2c2b78b8e088e606c09c34e93e7ac
diff --git a/dev-python/fonttools/fonttools-4.48.1.ebuild b/dev-python/fonttools/fonttools-4.48.1.ebuild
new file mode 100644
index 000000000000..12d8605257bc
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.48.1.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="
+ https://github.com/fonttools/fonttools/
+ https://pypi.org/project/fonttools/
+"
+SRC_URI="
+ https://github.com/fonttools/fonttools/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="+native-extensions"
+
+RDEPEND="
+ >=dev-python/fs-2.4.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '
+ dev-python/cython[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+ test? (
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ local -x FONTTOOLS_WITH_CYTHON=$(usex native-extensions)
+ [[ ${EPYTHON} == pypy3 ]] && FONTTOOLS_WITH_CYTHON=0
+ distutils-r1_python_compile
+}
+
+src_test() {
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # flaky test
+ Tests/ttLib/woff2_test.py::WOFF2ReaderTest::test_get_normal_tables
+ )
+
+ if [[ ${EPYTHON} == pypy3 ]] &&
+ has_version "dev-python/pyxattr[${PYTHON_USEDEP}]" &&
+ {
+ has_version "<dev-python/pypy3_10-exe-7.3.13_p2" ||
+ has_version "<dev-python/pypy3_10-exe-bin-7.3.13_p2"
+ }
+ then
+ EPYTEST_DESELECT+=(
+ # affected by a bug in PyPy/pyxattr
+ # https://github.com/iustin/pyxattr/issues/41
+ Tests/t1Lib/t1Lib_test.py::ReadWriteTest::test_read_with_path
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest \
+ -p rerunfailures --reruns=5 \
+ Tests fontTools || die -n "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index 0e48d073c792..9a76d463ddd4 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -3,8 +3,10 @@ DIST mkdocs-material-9.5.4.gh.tar.gz 14681148 BLAKE2B 1b4b652a446a71986256dd53d8
DIST mkdocs-material-9.5.5.gh.tar.gz 14707046 BLAKE2B 34c5287ac701a06ddb7713fd1a7b18307cbb62de12f4e455cff6380255bfe7d28249c86e922c394d581dd0b95368309396f5f5055cb3c6edb283345ddd6a7e9c SHA512 73a4a513eed242fb690aae6a338636baf049bb510a7779ded6cefbedcdeb2cd1c681646b3587527d8e2a251315e70fa347acff4aeaa6959a26c9bfabd9ef3a64
DIST mkdocs-material-9.5.6.gh.tar.gz 14705120 BLAKE2B 6dc6d8eca86e3f1b2942203dc3abafdf5b961afc9df0e59207809016b0c42b440d1b7e8c083cc9aa43db2095a49d3663e5e60d424f51be268906d09796b21e63 SHA512 4746f7e1ffad1e024f62005452e2250a7213c5c97a67446d664abdf68b13af670c61be0b94dda89dab72f9a2375e34e9c9a61ff343632e28182dd36af85ef381
DIST mkdocs-material-9.5.7.gh.tar.gz 14715071 BLAKE2B 4eb978e28150b00b925fa151445b459cb048b8a48526aadc1f82b12fab65e8635d1417546b280cfd7af3dc6a9cf4d2ed7984958896bfa910d3d14fa27059c907 SHA512 4a5163bb5e5705a1d9bf35ed88746cff1e8bb74e7dfa92b73304a9261702449e6c63fbbcaf7680ff28ba8a344376adf777d74f145f3668076036518c143064e5
+DIST mkdocs-material-9.5.8.gh.tar.gz 14726797 BLAKE2B 16aa180c5927b29273abcce6a1663c287225ca159c8bfc2dac5a08759bd8b81017e231c7db90c457da881c52d424aaa463880048a9b727ccbda3f825bb64c658 SHA512 0d140ef2a5e278d77aaf5aa9fe39fb357abf2da2dd420c16fe24e2e1640ad399f76e0060bc19554fbf7976f2f5947acfc89ba0dd54d2cbb7d01eb8193e663a13
EBUILD mkdocs-material-9.5.4.ebuild 1793 BLAKE2B e89ab7edb24b94a213c9abcb98dffa51bfa915557b2d5ba1f45c9fbf0592845f78a89f53501b4dcf40fd6e87c04dbcb4454ace107118a921337a608a7b6daaa4 SHA512 ff33a9bc4c84d089a8477441c7c52cf9e076a33f76e11d426382cc6417257de5aa9f0b8f99387b96fd53b4a38eb35f95430405b90462c94884b588a610a9d056
EBUILD mkdocs-material-9.5.5.ebuild 1797 BLAKE2B a39f2daf4cb4df3d7b94ba8d4cd5c7ba541e97afbe8747f21ce9f6e88e4455e2b40d13a37090ff0df1d5b98676c73e4c6d1db7a89f09c315034e00c823c39c5f SHA512 482cd4f0c8e3512b8f3270115b1a90f727ab29d9c7097deb9a5a0215516f2b9ac1825f00bf1ae50b91b8aaeb22b75f7b77f1e8e22c10efb4ea8424a2e7a5ce5a
EBUILD mkdocs-material-9.5.6.ebuild 1797 BLAKE2B a39f2daf4cb4df3d7b94ba8d4cd5c7ba541e97afbe8747f21ce9f6e88e4455e2b40d13a37090ff0df1d5b98676c73e4c6d1db7a89f09c315034e00c823c39c5f SHA512 482cd4f0c8e3512b8f3270115b1a90f727ab29d9c7097deb9a5a0215516f2b9ac1825f00bf1ae50b91b8aaeb22b75f7b77f1e8e22c10efb4ea8424a2e7a5ce5a
EBUILD mkdocs-material-9.5.7.ebuild 1797 BLAKE2B a39f2daf4cb4df3d7b94ba8d4cd5c7ba541e97afbe8747f21ce9f6e88e4455e2b40d13a37090ff0df1d5b98676c73e4c6d1db7a89f09c315034e00c823c39c5f SHA512 482cd4f0c8e3512b8f3270115b1a90f727ab29d9c7097deb9a5a0215516f2b9ac1825f00bf1ae50b91b8aaeb22b75f7b77f1e8e22c10efb4ea8424a2e7a5ce5a
+EBUILD mkdocs-material-9.5.8.ebuild 1797 BLAKE2B a39f2daf4cb4df3d7b94ba8d4cd5c7ba541e97afbe8747f21ce9f6e88e4455e2b40d13a37090ff0df1d5b98676c73e4c6d1db7a89f09c315034e00c823c39c5f SHA512 482cd4f0c8e3512b8f3270115b1a90f727ab29d9c7097deb9a5a0215516f2b9ac1825f00bf1ae50b91b8aaeb22b75f7b77f1e8e22c10efb4ea8424a2e7a5ce5a
MISC metadata.xml 1146 BLAKE2B c9eb031eb40f303fdcc39f891cdd2d4317075deb030d0f8374f874ecd63bf73960427eb3ee485b5b28515f58689b1e1bf977ee7b565bf8f9275b115853044f2c SHA512 01db399842cb09af4823278f84fcf8c51ed42609a2e61d8e64964e1759e14d22ed2f32ec0565f19184575089a218dad4939337798cd3a5b39f5be55f5f7edb69
diff --git a/dev-python/mkdocs-material/mkdocs-material-9.5.8.ebuild b/dev-python/mkdocs-material/mkdocs-material-9.5.8.ebuild
new file mode 100644
index 000000000000..46c2a0851fa9
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-9.5.8.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="social"
+
+RDEPEND="
+ >=dev-python/Babel-2.10.3[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.6[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.5.3[${PYTHON_USEDEP}]
+ >=dev-python/paginate-0.5.6[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.16[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-10.2[${PYTHON_USEDEP}]
+ >=dev-python/readtime-2.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2022.4.24[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26[${PYTHON_USEDEP}]
+ social? (
+ >=dev-python/pillow-10.2[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.5[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/trove-classifiers-2023.10.18[${PYTHON_USEDEP}]
+"
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND="
+ >=dev-python/mkdocs-material-extensions-1.2[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'" > gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/puremagic/Manifest b/dev-python/puremagic/Manifest
index e1d6a42dc55b..39f0e120c5dd 100644
--- a/dev-python/puremagic/Manifest
+++ b/dev-python/puremagic/Manifest
@@ -1,3 +1,5 @@
DIST puremagic-1.15.gh.tar.gz 295922 BLAKE2B b78a691fe5843eec7be4874c11492565ce474a741bd80cb5787bbfacd4522363acf880071d4e9b3beab14287890e851da1e92eeea2aacce1161729287b99ce9e SHA512 46d8ad7e2aa309558e37589b8a9508ef4156a5d6768b738df5f8539cb9edc12d83ac46a2fd46ef48d9323c73dfeff0e6f5eee8046bdd910f6ea14bb5402e477e
+DIST puremagic-1.20.gh.tar.gz 296430 BLAKE2B 9c10c43edd03ba85d40827e253fe7cbc18ad40e78c0824e653fb47583bf2fe67e5382657e55a4497c982f553f593e21a42bd2b842411e74365dee63a09d5dfee SHA512 a926dbf4957ad78391b8ce9ee77d873593e9c51bc4590d900eafe8162ee1cf75aa3a22679164cdc2fb39adc168c7ecca97dadd7b9d0396dc77d078ef19a0a465
EBUILD puremagic-1.15.ebuild 561 BLAKE2B 2d3d7a32c3af8508967601ec853d2a1ae275ec109751aaa32e0e93413160d304ac759686ca27cdd9a7d5e4a2ff7578d6beaf991c9dfa463b1af82d4f037680c6 SHA512 741e683b9f5e0f3460a3a074b386c034751c9f18e5eb9263bbe373d8a71d2df797199f3039d43f47c77ca1fdce99597d4d935856cc6ff8a579fbafd1be641218
+EBUILD puremagic-1.20.ebuild 562 BLAKE2B 55091ff9320736c74a0fee8e325de7e9fc7f9046319a0a51cf24b9323caba9a77cdb4d3d56693ea7e2c636aab22e3c9e4730dabf32832308ecda90a8d63c6a81 SHA512 a10f589cafe1409420358d542d816b16ad0939da9b2ce7b19de0b1113606a0e11ff3a2d7633bf516c059d2ddbbe0a5c962b2c873c966b0f40af518ba5f5dfe75
MISC metadata.xml 441 BLAKE2B e16e921f5571378e7fe3922ef583aaecf4fdd0160ffe502105f982d05189679395bfb7babc5f3c12ce60af9ddc72ecedd5a7a68e18488cd35174ee1b3eb03c05 SHA512 ddedaeddbca2953c67d6d23414f6dd152823290bc4bd90aee470a16906c4fae9e21043250677faba4873ff50af4ddf88c7208cfd30a040b816ec44782687e3e9
diff --git a/dev-python/puremagic/puremagic-1.20.ebuild b/dev-python/puremagic/puremagic-1.20.ebuild
new file mode 100644
index 000000000000..bf7bf4cdb98b
--- /dev/null
+++ b/dev-python/puremagic/puremagic-1.20.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pure python implementation of magic file detection"
+HOMEPAGE="
+ https://github.com/cdgriffith/puremagic/
+ https://pypi.org/project/puremagic/
+"
+SRC_URI="
+ https://github.com/cdgriffith/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DOCS=( CHANGELOG.md README.rst )
+
+distutils_enable_tests pytest
diff --git a/dev-python/qiskit-aer/Manifest b/dev-python/qiskit-aer/Manifest
index e65761d38583..706f10703b6d 100644
--- a/dev-python/qiskit-aer/Manifest
+++ b/dev-python/qiskit-aer/Manifest
@@ -2,7 +2,9 @@ AUX qiskit-aer-0.12.0-remove-cmake-dependency.patch 504 BLAKE2B 3b64e7cc3e8b3144
DIST qiskit-aer-0.12.2.gh.tar.gz 6979559 BLAKE2B c7f12c9b8f53a9031844e123b8ef6d723e0099be028c5cfba03143fb8b3c7269768ade99d3ef3b4b82c0b36756bf8e82971a3f70c0f5735891eb77a78a6d9512 SHA512 2a9ed6777e5e4d60a393d5a1b21b44ea3fa90fb791aeafda8bbb4ca8b55c7e8161cd5a275fd14bf968a22537cede099dbd419d1a3c5edebe85fdb82501c4de90
DIST qiskit-aer-0.13.1.gh.tar.gz 6979392 BLAKE2B a49f992a80ef644f34cb570d6cf85e147b7c897004c248ec749c43a64c5b950fe9d7f178c53b79202f73186c03e5bc61f36be76b904e22aa6f82a79b1b255bcf SHA512 45568fc1027bb530121a0c39b3bab7847e481e0dba57a005c1a1afb8f3523c098a11acddf96eac87bc750e19d2f7c4e47d8de797ae2501b464d68b849ec7b809
DIST qiskit-aer-0.13.2.gh.tar.gz 6981338 BLAKE2B 583937a3515f3de0714100cf7586f42b028c5918d50e2352fa3658b6e53e185ce5db5dc4a5abbe0ad8cf4634da123a47c7708eeee7f9ec53af2fdedc2d6192ef SHA512 f31bb19da67672a9e1cddbf18b35efb4c7cd94444033275acb00c5fd4fce80b56f08610addc58d6d5d68d4da1b6a6cdf38fc929c9921d83620e793aaab51fe57
+DIST qiskit-aer-0.13.3.gh.tar.gz 6982603 BLAKE2B 0ecc1929b0fec476b8e80012d78d9a65fcd8994f7c0fd66880e31c44bc3fa3d050774d696a9b5726f18cd401113dc8068e4391002743936baa09c283e06ba9bf SHA512 53d8741ed025ca3155931be6c66bc10618efc7beda69f0d3a2ba9ce8fea5beedfb6384761b64494e92be34ce64391b0f5f08c52945123431ea583d79fa0083e7
EBUILD qiskit-aer-0.12.2.ebuild 4272 BLAKE2B ff30820e189d8ec4fc72640a8430d0bb51b9ddb22e5d2425bf1d8e4e0d81c40e1ff54011a831305bf15db4525a1d336f74bef754f3ab81d72b2dcd3a9f5c3416 SHA512 284e63e6ca802182f9342bb39a60b1a081ce4da97361bbb1a14be687eb56c778f97b0e88d9ba11721a5271d34a0be2601c9e19842ad76457e1e42beb66c586e0
EBUILD qiskit-aer-0.13.1.ebuild 4201 BLAKE2B 9eb58de7e14a2f445d629d8d408d1b08f1e71ee9bcd28dc4464a34ac99b4ca159a8b1e0e8118c010fc3dbb69a0e6c7e456c2a07aad448279ec387694909a07a7 SHA512 08495e19c6ed2cd788aa11621dda5df0de6f830a5a71659b875daca7a99b659d38106599a86f1b9f5907ad985acd848d82f186cb8ae47d4782adda5372428d31
EBUILD qiskit-aer-0.13.2.ebuild 4198 BLAKE2B 7ba043661c4dcd6c45f92e8aea2b67c031a3be727e6c41f02df3ba02a2b93fa82d2f3a130bf18172f59431c34b6a073261910efefea9b46d913da5b6fac45e1d SHA512 73ebfe61716c8c9f4f57fa9f7a591cd5866373d12d943204bdf8907f0fbfebc17e02608333bed5aa47ca27b4ad5580a2dd3e557d9d7425b4e5627dbeffdee31a
+EBUILD qiskit-aer-0.13.3.ebuild 4198 BLAKE2B 7ba043661c4dcd6c45f92e8aea2b67c031a3be727e6c41f02df3ba02a2b93fa82d2f3a130bf18172f59431c34b6a073261910efefea9b46d913da5b6fac45e1d SHA512 73ebfe61716c8c9f4f57fa9f7a591cd5866373d12d943204bdf8907f0fbfebc17e02608333bed5aa47ca27b4ad5580a2dd3e557d9d7425b4e5627dbeffdee31a
MISC metadata.xml 1049 BLAKE2B e2118dc211ac8f42115959dde943a32331b4186524ef4a5a1343d8798a329e1d0de5f9a52a9c1212ec6af39392993378c6422424488782747ffbf4ab1e63d25e SHA512 bc4c9a19376938e973bedbdff0bbe95edb98c78b75d03f2a12985558a5cd5d0ceb934c43371438dd597a8d4fb8879d5483aeb8d806ac4d9b73b704d1232086b8
diff --git a/dev-python/qiskit-aer/qiskit-aer-0.13.3.ebuild b/dev-python/qiskit-aer/qiskit-aer-0.13.3.ebuild
new file mode 100644
index 000000000000..d4258a30ae9e
--- /dev/null
+++ b/dev-python/qiskit-aer/qiskit-aer-0.13.3.ebuild
@@ -0,0 +1,126 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="High performance simulator for quantum circuits that includes noise models"
+HOMEPAGE="
+ https://github.com/Qiskit/qiskit-aer/
+ https://pypi.org/project/qiskit-aer/
+"
+SRC_URI="
+ https://github.com/Qiskit/qiskit-aer/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# The reference implementation of BLAS/CBLAS is not compatible with qiskit-aer right now,
+# because importing library causes an error.
+# /usr/lib/python3.9/site-packages/qiskit/providers/aer/backends/controller_wrappers.cpython-39-x86_64-linux-gnu.so: undefined symbol: slamch_
+# Using sci-libs/openblas instead here,
+# with the option to switch between reference/openblas implementation runtime (eselect-ldso).
+#
+# <nlohmann_json-3.10.3 for https://github.com/Qiskit/qiskit-aer/issues/1742
+DEPEND="
+ >=dev-python/numpy-1.16.3[${PYTHON_USEDEP}]
+ <dev-cpp/nlohmann_json-3.10.3
+ >=dev-cpp/nlohmann_json-3.1.1
+ >=dev-libs/spdlog-1.9.2:=
+ >=dev-cpp/muParserX-4.0.8
+ virtual/cblas[eselect-ldso]
+ sci-libs/openblas[eselect-ldso]
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/qiskit-terra-0.45.0[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-build/cmake-3.17
+ >=dev-python/scikit-build-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/pybind11-2.6[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ddt[${PYTHON_USEDEP}]
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+check_openblas() {
+ local libdir=$(get_libdir) me="openblas"
+
+ # check blas
+ local current_blas=$(eselect blas show ${libdir} | cut -d' ' -f2)
+ if [[ ${current_blas} != "${me}" ]]; then
+ eerror "Current eselect: BLAS/CBLAS ($libdir) -> [${current_blas}]."
+ eerror "To use qiskit-aer, you have to issue (as root):"
+ eerror "\t eselect blas set ${libdir} ${me}"
+ return 1
+ fi
+ return 0
+}
+
+pkg_setup() {
+ if use test; then
+ check_openblas
+ if [[ $? -ne 0 ]]; then
+ die "Set blas implementation to openblas using 'eselect blas set openblas'!"
+ fi
+ fi
+}
+
+python_prepare_all() {
+ export DISABLE_CONAN="ON"
+ export DISABLE_DEPENDENCY_INSTALL="ON"
+ export SKBUILD_CONFIGURE_OPTIONS="-DTEST_JSON=1"
+
+ # remove meaningless dep on the metapackage
+ sed -i -e '/qiskit>=/d' setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/terra/states/test_aer_state.py::TestAerState::test_appply_diagonal
+ test/terra/states/test_aer_state.py::TestAerState::test_appply_measure
+ test/terra/states/test_aer_state.py::TestAerState::test_appply_reset
+
+ # TODO: GLIBCXX_ASSERTIONS, bug #897758
+ test/terra/backends/aer_simulator/test_algorithms.py::TestAlgorithms::test_extended_stabilizer_sparse_output_probs
+ test/terra/backends/aer_simulator/test_options.py::TestOptions::test_mps_options
+ test/terra/backends/aer_simulator/test_fusion.py::TestGateFusion::test_parallel_fusion_diagonal
+
+ # requires qiskit_qasm3_import
+ test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_1___automatic____CPU__
+ test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_2___statevector____CPU__
+ test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_3___matrix_product_state____CPU__
+ test/terra/backends/aer_simulator/test_save_statevector.py::TestSaveStatevector::test_save_statevector_for_qasm3_circuit_4___extended_stabilizer____CPU__
+ )
+
+ # From tox.ini/tests.yml in CI
+ # Needed to suppress a warning in jupyter-core 5.x by eagerly migrating to
+ # a new internal interface that will be the default in jupyter-core 6.x.
+ # This variable should become redundant on release of jupyter-core 6.
+ local -x JUPYTER_PLATFORM_DIRS=1
+
+ rm -rf qiskit_aer || die
+ epytest -n "$(makeopts_jobs)" -s
+}
+
+pkg_postinst() {
+ check_openblas
+}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 2e3a95c7539a..d8b006eed738 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1,6 +1,8 @@
AUX sentry-sdk-1.21.0-ignore-warnings.patch 329 BLAKE2B cdb4295e600d868feb11b4a0af534bca90a1fa777344d56c945ddcfe71b3db10848df4032df06b9acf84cf574bec04dce4dc8935dd7421a6d0a2a011db337d6f SHA512 d1b5c50c78d1bb299280c4937fc8a8fdfc7d174d41061a32b57178c4dee58ab4b4b7afe8566a6b79244e53be8714b3ee7fdc9bf3401835d6d743e9fdc5a0aa05
DIST sentry-python-1.39.2.gh.tar.gz 452370 BLAKE2B 8ab1b4464ecbd8164c20d926a78f4c839be9c1dba6b09c26c2aacfdc236ca6e93406ea0aeac1a2b86439d2340b546a32c8a3f2db80cabefc6986f4567753f660 SHA512 728f799fe9419d30a07ae15eba0feae4e861edaabe1b16a23f54d8fe2a389273ebfc43a1183368ea22332f63a096ea154031ca0e1c3efcea26cf83c6093547c3
DIST sentry-python-1.40.0.gh.tar.gz 457692 BLAKE2B 8f5d299c991f169eaba255ad13fc30620cda7f4d26b0f6ac353a28eef7f1c7001d9a20d61a4d565dc620dbd9292ce11a5bf9fe8c26129f1c340661f218074b53 SHA512 cb3297e96064b3c71a4f28ad1781277f3101c2171d6e8339664c400531f13ed8b394317601b20940261575ff1646801bc8cde760d595bdffa97af4cda4e27d6d
+DIST sentry-python-1.40.1.gh.tar.gz 458026 BLAKE2B 2f4f34be4dd90bcdace51b593feb54e09ab3ec936c637c8eb484177289ffeaa588c73f474686986a90131c3b746867b552d6fbc29c3c7f1f360f878ed9ee5141 SHA512 07af5062e15d6d9a5c5ac678e4d3274d566dce9929f8b7412d9606749f93b5cf8405bb56577752afc4234f924d8b7ebd536d5a910589faa5dd94f5ecd9d0c9b8
EBUILD sentry-sdk-1.39.2.ebuild 5351 BLAKE2B 8f016448c88edd45df43ed13efc51dd465e8b7a71c3f24e48ce474805eb926dce103ba26d9cb10a88e762e0fac41fdcdc8dcc88799474c2bd5b05bdae27e343a SHA512 ac0156b0615f74a84b1991cacf9a4ea9bb53197e91c49556921fcac43e3fabc6c0776bfc09c4aabd1b016545edd29b4fbb508188f4fce9c19d6bec71d0cfaf16
EBUILD sentry-sdk-1.40.0.ebuild 5473 BLAKE2B ca83f88a46c40717debabcac3b749ab840aacc4b2bf0e9c9d76965591d62ad88dada80dc188ea9ecb215897c3462fdb3d34802165e1a0e6901904816862290ab SHA512 4333f13798bde991902b0aaf82f64a5e0ff9f7644a1c5690b4ae6deef3516feb32abd5114953e59d9e4328489e9d1b85c8bc2f1bc17c96e00a47eb8e12443607
+EBUILD sentry-sdk-1.40.1.ebuild 5620 BLAKE2B e956f30327c05667d99addb3a1386b9689b64f10734a461f069bc1472447028abe3fdb3da9c952f547bc91fa933d3aead8e897899bbac7c43589a4399857eb77 SHA512 56e59edea33e03fea5cacc189eb0922229ff57719093b61169be33def8fc23ea915c4dd7a6863a90cdb9da2f4e0884ccc1fade5e3bbf49e2976aa3ac082a1a0a
MISC metadata.xml 510 BLAKE2B e00011699ac2cc83f1923e1f6fa813ede7eab8c57f9ce9d9fca04e721b089db1c5f2bdffaa7b9856f56b433abd9189125e07ffd3f329e4fa8d098e28a4f2d7bd SHA512 bafb77a102d94fe050cb526b298fb8cfd56775cb4d07eda280f6356fbec6fbe5df5c9ebd459d9d4457cd027c2e0d7c349e053fa6070b52f0d2989f6ec600b87d
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.40.1.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.40.1.ebuild
new file mode 100644
index 000000000000..9c1a5c572cbf
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.40.1.ebuild
@@ -0,0 +1,151 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit distutils-r1
+
+MY_P=sentry-python-${PV}
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ <dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/python-socks[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/sentry-sdk-1.21.0-ignore-warnings.patch"
+)
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ tests/integrations/socket/test_socket.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # TODO: causes breakage in other tests
+ tests/integrations/starlette
+ # TODO
+ tests/integrations/tornado
+ # requires mockupdb
+ tests/integrations/pymongo
+ # requires AWS access
+ tests/integrations/aws_lambda
+ # requires quart_auth
+ tests/integrations/quart
+ )
+
+ local EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ tests/integrations/django/test_data_scrubbing.py::test_scrub_django_custom_session_cookies_filtered
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_large_event_not_truncated
+ tests/integrations/django/test_data_scrubbing.py::test_scrub_django_session_cookies_{filtered,removed}
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+ tests/test_profiler.py::test_sample_buffer
+ tests/test_profiler.py::test_thread_scheduler_takes_first_samples
+ tests/test_profiler.py::test_thread_scheduler_takes_more_samples
+ tests/test_profiler.py::test_thread_scheduler_single_background_thread
+ # broken with py3.11, *shrug*
+ tests/test_profiler.py::test_extract_stack_with_max_depth
+ # TODO
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_long_sql_query_preserved
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_engine_name_not_string
+ tests/test_scrubber.py::test_breadcrumb_extra_scrubbing
+ tests/test_scrubber.py::test_span_data_scrubbing
+ # this is not even funny
+ tests/test_utils.py::test_installed_modules
+ # flaky hypothesis stuff
+ tests/test_serializer.py::test_bytes_serialization_repr_many
+ # TODO
+ tests/integrations/aiohttp/test_aiohttp.py::test_basic
+ tests/tracing/test_decorator_py3.py::test_trace_decorator_{,a}sync_py3
+ # crashes Python
+ tests/integrations/grpc/test_grpc_aio.py
+ # hangs
+ tests/integrations/threading/test_threading.py::test_propagates_threadpool_hub
+ # TODO
+ tests/test_utils.py::test_default_release
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_orm_queries
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_transactions
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_query_source
+ tests/integrations/stdlib/test_subprocess.py::test_subprocess_basic
+ tests/integrations/threading/test_threading.py
+ tests/integrations/wsgi/test_wsgi.py
+ 'tests/utils/test_contextvars.py::test_leaks[threads]'
+ # skipped without gevent but breaks stuff via broken teardown?
+ tests/test_metrics.py::test_no_metrics_with_gevent
+ # TODO
+ tests/utils/test_contextvars.py::test_leaks
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p aiohttp -p pytest_forked
+}
diff --git a/dev-python/slixmpp/Manifest b/dev-python/slixmpp/Manifest
index fa22f413b2b2..9d4064791c5d 100644
--- a/dev-python/slixmpp/Manifest
+++ b/dev-python/slixmpp/Manifest
@@ -1,4 +1,6 @@
DIST slixmpp-1.8.4.tar.gz 546263 BLAKE2B 78a7b1b9015f27d63b3c127a292e2794a9de2283fbb9763ef52d03d37cc2d0fcc3f0696beca858a0d120991059a5eced62b5a4a9e87436b81dc17f6bbdc4b106 SHA512 afa82670e4cb2c904503a6ef652d3f2ecd59732a18eef05b85e0a55f15112685ecc1b50951b3f717a211d1c9069a4e7c65d913454426441f56688ff05a5c0921
+DIST slixmpp-1.8.5.tar.gz 574560 BLAKE2B 3ac5b1f41acdf4dd725355cdb06e7642d67b5b51a533e933af1b451df424d3e81267ce945e577b21a07f943578119913a9a42dd4e65426223ff413ad52c3f110 SHA512 f2e123bd462097d0b7dc28cd960f723419f4fa2af59c8f5b7d30a05135c2f9fc6982e6d2855ea10b22936bdd4a96faeae73f87a495e2d1f10e6c63cdcb412665
EBUILD slixmpp-1.8.4.ebuild 1035 BLAKE2B 2dfe7dd40bd2c78cd154d5b43388422846232f2600dff7c3c96de7adb31cc19ed71d4561a10c830c9de8e9c865e1164eb4262c6a2250e4c6a83b2258525728f3 SHA512 5f3aa3e77483da3546cc768a9c9e66182ab8460a9ddf904f49313b93c73d7884f1508e634de5e1982de9b9c89842362b5937e63bbf5eb381ce461359422aae68
+EBUILD slixmpp-1.8.5.ebuild 1036 BLAKE2B bd97cb1474a11582d5a73354a7eb3c9af5ab98b211721cf13bf2fc63791d5560fdc0bf33b89e272f15d02dd0012c72fa2c2924d33b1488678927a01177fd50b8 SHA512 b961920e2fe2a7c3ebf70134b967f7f88e13d4e9628db9cae1d5fe7331e284b3066204a88a954dcf0418ccb60c9f7f0e2e8260601de7ef0b855089ecc71f7c2a
EBUILD slixmpp-9999.ebuild 961 BLAKE2B ce9260692ac2450381d143968889d764f611838cedc49c3bf1e0f355443f3c66bd57fe9991f14445b1f8d4aa48cecd30903261ba5933c569320bac20c0443b28 SHA512 9e462acb13e617706fb3fe2fb8a2177f17468fa14d3bd3f72270563a6e3610752616e0dc3f00792e69cf6d7bcc053a49975ab0096f6c8e036de33e63df759434
MISC metadata.xml 474 BLAKE2B 0b9d76c7ec0cfb4a39790ccf24386fe0557b0fea16c0a71ceed651214df6d97747066b4d7b45767f0dd54849f378d05d715a032cd71ab42b5ba98ad0f4c53506 SHA512 ec3ced30b38cc132a2b07bb71f41d8e0990922ae56834288345f0e546c0b6c19c69982b666e9f40389424de33ed0c7737459764ed167db2ebefc3aa2bbccfc72
diff --git a/dev-python/slixmpp/slixmpp-1.8.5.ebuild b/dev-python/slixmpp/slixmpp-1.8.5.ebuild
new file mode 100644
index 000000000000..5d5bcfca4fd5
--- /dev/null
+++ b/dev-python/slixmpp/slixmpp-1.8.5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 3 library for XMPP"
+HOMEPAGE="
+ https://codeberg.org/poezio/slixmpp/
+ https://pypi.org/project/slixmpp/
+"
+LICENSE="MIT"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://codeberg.org/poezio/slixmpp.git"
+ inherit git-r3
+else
+ inherit pypi
+ KEYWORDS="~amd64 ~riscv"
+fi
+
+DEPEND="
+ net-dns/libidn:=
+"
+RDEPEND="
+ dev-python/aiodns[${PYTHON_USEDEP}]
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+ dev-python/pyasn1[${PYTHON_USEDEP}]
+ ${DEPEND}
+ $(python_gen_cond_dep '
+ >=dev-lang/python-3.12.1_p1:3.12
+ ' python3_12)
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ rm -rf slixmpp || die
+ eunittest -s tests
+}
diff --git a/dev-python/sumtypes/Manifest b/dev-python/sumtypes/Manifest
index 2e989de79c1a..435e36612e32 100644
--- a/dev-python/sumtypes/Manifest
+++ b/dev-python/sumtypes/Manifest
@@ -1,3 +1,3 @@
DIST sumtypes-0.1a6.gh.tar.gz 6535 BLAKE2B 5441b2c89515e9c24b0ca8e5ee6294272290bc452391ca6ce5adbd5befcf2f1879859e84d011b0a5be5a3690a138e9f2e30c38c15171160556eb863d6465b4ab SHA512 1e2fbcb6fe42db4aeeadb3e45d1629027eb99786fffaed03c61056c24a760e6bcb75001e700e4a40b67647f09d0c83d200ee381f62a1483874553f59121f866a
-EBUILD sumtypes-0.1_alpha6.ebuild 667 BLAKE2B 87db187a92afa8e611d61f285690677840d0df8e8186c1f628895b6cfee4215e561bdc1761dc77eb25f308333061dc41526c5e195680814469480e6a5dfeb68f SHA512 18324ad21a72d0fb4e5d7a1d27777cef1149630cad74714b24dfa96700e2e50baf6353fb0e32d340846ce333e8619d23d17f27e05e47849201d5d4b5bfca71d0
+EBUILD sumtypes-0.1_alpha6.ebuild 679 BLAKE2B 803acb1c7a50d7c1f198f665f924030f185c1c6123f93793df0362ef2211579a1d7636ee5649eff4c0122d579b875ed254c1ec66df87b02147f8cd2421807a9d SHA512 399d3aa994f4894d88d0d087d9bcf3393ccdd7898ec7fbbf02f75a385c9a9d60845b87580c051bf741e7b86b74a9562ba8b0ad044fa11804d835590b93a01bc7
MISC metadata.xml 368 BLAKE2B 674fbf5cd16e64e40d059b99b4fc909a68f571b55437e2bb0333124ca053fbc09934c018d4048d3b764a2bbe60065b9bbd66fcdd98d7f347d769e82d792461d0 SHA512 4babad4180f506d3181d62b6454f46e5d116e58b93aa4f5b3747f5cac614a9b441be9648e25d0c11d7b581ce9a6ae1ac9b4a265bb5ab1ff96f2ab240b0de8d0d
diff --git a/dev-python/sumtypes/sumtypes-0.1_alpha6.ebuild b/dev-python/sumtypes/sumtypes-0.1_alpha6.ebuild
index ff31b26c8879..d19843050e69 100644
--- a/dev-python/sumtypes/sumtypes-0.1_alpha6.ebuild
+++ b/dev-python/sumtypes/sumtypes-0.1_alpha6.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-python/attrs[${PYTHON_USEDEP}]
diff --git a/dev-python/watchdog/Manifest b/dev-python/watchdog/Manifest
index 18d6ad619f9b..760e60e1e85b 100644
--- a/dev-python/watchdog/Manifest
+++ b/dev-python/watchdog/Manifest
@@ -1,3 +1,5 @@
DIST watchdog-3.0.0.tar.gz 124593 BLAKE2B bc8135dcbe9b1000fb7befc85ebf62518222b0470676cf94aabbe8f871bb05064a46ae4d11ce34f8030d35268c073fe82757b911e3983a8b683ffbd09227395c SHA512 fa1421b01af99d7fa676c9077b2330ead17c004d9bb9e9edd78d4bbf87cf41624ecd669ca48613d99be2109373bbab4e004b69665d2ca42e082573e4740c13d0
+DIST watchdog-4.0.0.tar.gz 126415 BLAKE2B 59cba81d705031b89b6cd0a92959cd714ec701c4b986446fb7946898b9df1389734bc7eb7521d5af2df5a1a5e31b2f1dc436ca603b8f70313e99ad2abf0e9922 SHA512 ba1beafe292b52b4628eb570b05d816faffe09acd3b63bc50d986cf04f3c7b4fa9c1ebe5c99a10c0723b5604cfdcbd0c09a17507196a32b8fddeeb46faccf4dd
EBUILD watchdog-3.0.0.ebuild 1059 BLAKE2B 1ad6696a85e72da0d92b1a496281d8e8fc0dad561f7ec0cca5fabcf16b52f99f0b752b584198ed1484fd4c703173d37bd5c97ff1d778eb5f3a509f499d7c11ee SHA512 2c0a1b9700fd7f09d0a5796cfe387023c52fad7855d9c14788fcb525147fdfd55a27e6e5f4607d4a9ac0ef888f638c0c2dd83e7396f57c491a61e99ef5c73a71
+EBUILD watchdog-4.0.0.ebuild 1067 BLAKE2B 57b47b68aa2b1c321f8934ab65ba500ecbf643593854a088f9cd6cd2b855d070881ba55c7353c58b551cf957aa5ab309449e398c30ebd11b2faeb856efa3622b SHA512 6d8bc35a4be517c385d83dafdbf838f84063107de6ff503afd3b30b87cf14027b54a620a3537ff5b32332d42bad732de0a7043206604b02ca959ba3dcb76109d
MISC metadata.xml 463 BLAKE2B d4f4a77cbba45384d34ac533c223e6640f75460ebfa46ae029a57297ab1a8711f8c10bcd0c11926651bd61d5a2ae98e316ebe40c6011de06f8ee46ad5fcab5b2 SHA512 5eaf8c60e47afa3933115e23cec07340d8cb708c9c9568cf943030db2ed7e05771f51369d6d7d8e21ab598dc872af275784939a243a37abb1e3661b41f479721
diff --git a/dev-python/watchdog/watchdog-4.0.0.ebuild b/dev-python/watchdog/watchdog-4.0.0.ebuild
new file mode 100644
index 000000000000..60d23f7d79c3
--- /dev/null
+++ b/dev-python/watchdog/watchdog-4.0.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Python API and shell utilities to monitor file system events"
+HOMEPAGE="
+ https://github.com/gorakhargosh/watchdog/
+ https://pypi.org/project/watchdog/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/pytest-timeout-0.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/--cov/d' -i setup.cfg || die
+ default
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # known flaky
+ tests/test_emitter.py::test_close
+ # requires root powers via sudo (yes, seriously)
+ tests/test_inotify_buffer.py::test_unmount_watched_directory_filesystem
+ )
+
+ epytest -p no:django
+}
+
+pkg_postinst() {
+ optfeature "Bash completion" dev-python/argcomplete
+}